# spell-checker:ignore bcond pkgversion buildrequires autosetup PYTHONPATH noarch buildroot bindir sitelib numprocesses clib
# All tests require Internet access
# to test in mock use:  --enable-network --with check
# to test in a privileged environment use:
#   --with check --with privileged_tests
%bcond_with     check
%bcond_with     privileged_tests

Name:           ansible-compat
Version:        25.5.1.dev2
Release:        1.20250514160820552967.pr491.2.g8be6944%{?dist}
Summary:        Ansible-compat library

License:        GPL-3.0-or-later
URL:            https://github.com/ansible/ansible-compat
Source0:        ansible_compat-25.5.1.dev2.tar.gz

BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
%if %{with check}
# These are required for tests:
BuildRequires:  python%{python3_pkgversion}-pytest
BuildRequires:  python%{python3_pkgversion}-pytest-xdist
BuildRequires:  python%{python3_pkgversion}-libselinux
BuildRequires:  git-core
%endif
Requires:       git-core


%description
Ansible-compat.

%prep
%autosetup -n ansible_compat-25.5.1.dev2


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files ansible_compat


%check
%pyproject_check_import
%if %{with check}
%pytest \
  -v \
  --disable-pytest-warnings \
  --numprocesses=auto \
  test
%endif


%files -f %{pyproject_files}
%license LICENSE
%doc docs/ README.md

%changelog
* Wed May 14 2025 Packit <hello@packit.dev> - 25.5.1.dev2-1.20250514160820552967.pr491.2.g8be6944
- Fix dependency update (Kate Case)
- Bump the dependencies group in /.config with 4 updates (dependabot[bot])

* Wed May 14 2025 Kate Case this.is@katherineca.se 
- Fix dependency update

* Wed May 14 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates

* Sun May 11 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 5 updates (#490)

* Mon May 05 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#488)

* Sun May 04 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#487)

* Wed Apr 30 2025 Kate Case kcase@redhat.com 
- Enable junit.xml reporting to codecov.io (#486)

* Sun Apr 27 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#485)

* Sun Apr 20 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#484)

* Sun Apr 13 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 3 updates (#483)

* Wed Apr 09 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#482)

* Sun Apr 06 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump mkdocstrings-python in /.config in the dependencies group (#481)

* Thu Apr 03 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#480)

* Thu Apr 03 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Workaround for dependabot improper python version (#479)

* Thu Apr 03 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Make warning signature compatible with ansible core 2.19 (#478)

* Wed Apr 02 2025 pre-commit-ci[bot] 66853113+pre-commit-ci[bot]@users.noreply.github.com 
- chore: pre-commit autoupdate (#473)

* Mon Mar 31 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 6 updates (#477)

* Mon Mar 24 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 7 updates (#476)

* Mon Mar 17 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group across 1 directory with 12 updates (#475)

* Mon Feb 24 2025 dependabot[bot] 49699333+dependabot[bot]@users.noreply.github.com 
- Bump the dependencies group in /.config with 4 updates (#471)

* Tue Feb 18 2025 Sorin Sbarnea ssbarnea@redhat.com 
- Add site-package to the end of inclusion path (#470)

